package ${domain}.module.wsvr.ent;

import com.alibaba.excel.annotation.ExcelProperty;
import ${domain}.frame.base.BaseEntity;
import ${domain}.frame.excel.annotation.ExcelNote;
import ${domain}.frame.excel.annotation.ExcelSheet;

/**
 * PROFILES - 系统配置
 *
 * @author wangbing
 * @version 0.0.1
 * @since 2020-07-06
 */
@ExcelSheet("系统配置")
public class Profiles extends BaseEntity {

    /**
     * ACTIVE - 环境
     */
    @ExcelProperty("环境")
    @ExcelNote("")
    private String active;
    /**
     * KEY - 配置键
     */
    @ExcelProperty("配置键")
    @ExcelNote("")
    private String key;
    /**
     * VALUE - 配置值
     */
    @ExcelProperty("配置值")
    @ExcelNote("")
    private String value;

    public String getActive() {
        return this.active;
    }

    public void setActive(String active) {
        this.active = active;
    }

    public String getKey() {
        return this.key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public String getValue() {
        return this.value;
    }

    public void setValue(String value) {
        this.value = value;
    }
}